# Yerbacon 

[![Build Status](https://ci.username404.fr/buildStatus/icon?style=plastic)](https://ci.username404.fr/job/Yerbacon/job/stable/)

<img align="left" src="/Username404-59/Yerbacon/raw/branch/stable/resources/Yerbacon.png" alt="Yerbacon logo" width="192" height="192">
Aka Yer Bacon,

- #### A language that transpiles into lua, javascript or python code.

Here's how a "hello world" lambda will look like (`#=>` can be used as a shorthand for `#= ->`)
```
main #=> {
  println "Hello, World!"
}
```
### Planned features:

- Type inference
- Null safety
- Compilation to jvm bytecode?

## Getting Started
Variables assigned using #= can't be changed (they are "final"), while the ones affected using the normal operator (=) can.

## Build requirements

CMake 3.18 or higher is needed.

### Linux target

- GCC 10+ or Clang 11+ with llvm-gold

### Windows target

 - MinGW32 (on debian you will need to use the `i686-w64-mingw32-gcc-posix` executable provided by the `gcc-mingw-w64-i686-posix-runtime` package)

MSVC could also be used instead if you are on Windows.